FC2ブログ
    02 «1.2.3.4.5.6.7.8.9.10.11.12.13.14.15.16.17.18.19.20.21.22.23.24.25.26.27.28.29.30.31.» 04

    ハルシオンシステムの気ままBlog

    株式会社ハルシオンシステムのメンバーが送る、UnityやらJavaやらの技術的話題から、自社開発のアプリの宣伝とかとかのブログです。ほんと気ままにいきたいと思います。更新日は毎週 月 木でっす!

     

    もう・・・いつiOS版ポケガでるの?あ、そういえば広告周りで嵌ったのでメモしときます。 

    こんちゃ!坂内っす。
    本日もブログの時間がやってまいりました。
    ネタ無いっす。まぁいつもの事ですよね。

    ポケガiOS側の審査は一向に進まず、ポケガの方もネタが切れてきました。
    いや、現在模様替え、着せ替え、ボイス等の開発は進んではいるんですけどね。
    ブログのネタとしては特になし。

    そうや!今違うものを作っていて、広告周りで嵌ったので、その辺の事でも書いてみます。

    いつからか、広告を入れる時にgoogle_play_serviceを入れないといけないって流れになってません?
    でもこのgoogle_play_serviceがうまく入らない時とか、広告会社毎のUnityPackageによって、違うバージョンの物が入ったりと、結構うざかったりします。

    ってことで、自分へのメモ的なモノを残しておきます!

    ①google-play-services.jarをPlugins/Androidの直下に置きます。

    ②Plugins\Android\res\values.xmlを以下のように作ります。

    <?xml version="1.0" encoding="utf-8"?>
    <resources>
    <integer name="google_play_services_version">4323000</integer>
    </resources>

    バージョンはgoogle-play-services.jarの中身のバージョンと同じものにします。
    と、言ってもgoogle-play-services.jarの中のどこにバージョンが書いているのか分からんちん。

    ③AndroidManifest.xmlに以下を追加。

    <meta-data android:name="com.google.android.gms.version"
      android:value="@integer/google_play_services_version" />
      
    基本はADNWさんのUnity用packageをインポートすれば①~③まで入るので、問題は無いかと思います。

    まぁ、何かあった時にお試しあれ。

    アデュ~ノシ

    Category: 開発日記(Unity)

    tb 0 : cm 0